-- Disable unused plugins and functionality.
return {
	{
		-- Disable the dashboard.
		"folke/snacks.nvim",
		opts = {
			dashboard = { enabled = false },
			notifier = { level = vim.log.levels.WARN },
		},
	},
	{
		-- Disable inline hints by default.
		"neovim/nvim-lspconfig",
		opts = {
			inlay_hints = { enabled = false },
		},
	},

	-- Disable unused plugins.
	{ "folke/flash.nvim", enabled = false },
	{ "folke/todo-comments.nvim", enabled = false },
	{ "folke/trouble.nvim", enabled = false },
	{ "MagicDuck/grug-far.nvim", enabled = false },
	{ "akinsho/bufferline.nvim", enabled = false },
}
